<div [ngClass]="className.main">
  <div [ngClass]="className.title">Tags:</div>

  <div
    #tags
    [hidden]="!helper"
    [ngClass]="className.tags"
  >
    <ng-container *ngFor="let rowO of dataHelper.ori">
      <span
        #text
        [style.display]="'inline-block'"
      >
        {{ rowO }},&nbsp;
      </span>
    </ng-container>
  </div>

  <ng-container *ngIf="!helper">
    <div
      [ngClass]="className.tags"
      [style.display]="'flex'"
    >
      <ng-container *ngFor="let rowS of dataHelper.show; let last = last">
        <ng-container *ngIf="!last">
          <a
            (click)="filterDatasetTag(rowS)"
            href="javascript: void(0);"
          >
            {{ rowS }} </a
          >,&nbsp;
        </ng-container>
        <ng-container *ngIf="last">
          <a
            (click)="filterDatasetTag(rowS)"
            href="javascript: void(0);"
          >
            {{ rowS }}
          </a>
        </ng-container>
      </ng-container>

      <ng-container *ngIf="dataHelper.hide">
        <jds-bi-hosted-dropdown
          [(open)]="isDropdown"
          [jdsBiDropdownLimitWidth]="'auto'"
          [jdsBiDropdownAlign]="'right'"
          [content]="dropdown"
        >
          <a
            [ngClass]="className.more"
            type="button"
          >
            ...
          </a>
        </jds-bi-hosted-dropdown>

        <ng-template #dropdown>
          <ul
            [ngClass]="[jds.dropdownMenu]"
            [style.minWidth.px]="150"
          >
            <li
              *ngFor="let rowH of dataHelper.hide; let last = last"
              [ngClass]="[jds.dropdownNavbarItem]"
            >
              <a
                [ngClass]="[jds.dropdownNavbarLink]"
                (click)="filterDatasetTag(rowH)"
              >
                {{ rowH }}
              </a>
            </li>
          </ul>
        </ng-template>
      </ng-container>
    </div>
  </ng-container>
</div>
